#!/bin/bash

INSTDIR="$( cd "$( dirname "${BASH_SOURCE[0]}" )" >/dev/null 2>&1 && pwd )"
source $INSTDIR/settings.sh
PROCPATTERN="$INSTDIR/OpenLM[B]roker.jar"
PROCS="`ps -def|grep $PROCPATTERN|grep -v grep|awk '{print $2}'|tr -d '^J'`"

if [ ! -d "$JAVA_HOME" ]; then
  echo "ERROR no JRE found"
  exit 2
else
  if [ ! -x "$JAVA_HOME/bin/java" ]; then
    echo "ERROR no JRE found"
    exit 3
  else
    if [ ! -d "$INSTDIR" ]; then
      echo "ERROR Broker directory not found"
      exit 4
    fi
    cd $INSTDIR
    if [ -z "$PROCS" ];then
      nohup "$JAVA_HOME/bin/java" -Djava.net.preferIPv4Stack=true -jar "$INSTDIR/OpenLMBroker.jar" start "$INSTDIR/broker.xml" >> $INSTDIR/logs/broker_nohup.log 2>&1 &
    else
      echo "Broker is still running (PID: $PROCS)"
      exit 1
    fi
  fi
fi
