#!/bin/bash

#Uninstall OpenLM Broker Service script
echo -e "\e[96mUninstall OpenLM Broker Service...\033[0m"

INSTDIR="$( cd "$( dirname "${BASH_SOURCE[0]}" )" >/dev/null 2>&1 && pwd )"
SERVICEDEFDIR="/etc/systemd/system"
source $INSTDIR/settings.sh
ISBROKERACTIVE="$(systemctl is-active "$BROKERSRVNAME")"
#check if service is uninstalled
if [[ ("$ISBROKERACTIVE" == "unknown") || ("$ISBROKERACTIVE" == "inactive") ]] 
  then
    echo "OpenLM Broker Service is already uninstalled!"
    exit
fi

PROCPATTERN="$INSTDIR/OpenLM[B]roker.jar"
PROCS="`ps -def|grep $PROCPATTERN|grep -v grep|awk '{print $2}'|tr -d '^J'`"

if [ "$PROCS" ];then
      service $BROKERSRVNAME stop
      echo "Broker is stopped (PID: $PROCS)"
fi
systemctl disable $BROKERSRVNAME
rm $SERVICEDEFDIR/$BROKERSRVNAMEFILE > /dev/null 2>&1
rm $SERVICEDEFDIR/multi-user.target.wants/$BROKERSRVNAMEFILE > /dev/null 2>&1
systemctl daemon-reload
systemctl reset-failed
echo -e "\e[96mOpenLM Broker Service is uninstalled!\033[0m"
