#!/bin/bash

CMDPARA=$1
INSTDIR="$( cd "$( dirname "${BASH_SOURCE[0]}" )" >/dev/null 2>&1 && pwd )"

CMD=`basename $0`
[[ "$CMD" == "run_brokerconfig.sh" ]] && CMDPARA=config


PROCS="`ps -def|awk '/\/OpenLM[B]roker.jar/ {print $2}'|tr -d '^J'`"

#Change JAVA_HOME to point at installation folder 
[[ -z "$JAVA_HOME" ]] && JAVA_HOME=/usr/java/latest/jre

if [ ! -d "$JAVA_HOME" ]; then
  echo "ERROR no JRE found"
  exit 2
else
  if [ ! -x "$JAVA_HOME/bin/java" ]; then
    echo "ERROR no JRE found"
    exit 3
  else
    if [ ! -d "$INSTDIR" ]; then
      echo "ERROR Broker directory not found"
      exit 4
    fi
    cd $INSTDIR
    case $CMDPARA in
    config)
      "$JAVA_HOME/bin/java" -Djava.net.preferIPv4Stack=true -jar "$INSTDIR/BrokerConfigurator.jar" broker.xml
      ;;
    stop)
      kill $PROCS >/dev/null 2>&1
      RES=$?
      echo "Broker stopped (PID: $PROCS)"
      exit $RES
      ;;
    status)
      #if [ -n "`ps -def|awk "/OpenLM[B]roker/ {print $2}'`" ]; then
      if [ -n "$PROCS" ]; then
        echo "Broker is running (PID: $PROCS)"
      else
        echo "Broker is not running"
      fi
      ;;
    start)
      if [ -z "$PROCS" ];then
        nohup "$JAVA_HOME/bin/java" -Djava.net.preferIPv4Stack=true -jar "$INSTDIR/OpenLMBroker.jar" start "$INSTDIR/broker.xml" >> $INSTDIR/logs/broker_nohup.log 2>&1 &
      else
        echo "Broker is still running (PID: $PROCS)"
        exit 5
      fi
      ;;
    *)
      echo "Usage: $CMD [start|stop|status|config]"
      exit
    esac
  fi
fi

